## org.apache.lucene.queryParser.core.nodes
Class ParametricRangeQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.ParametricRangeQueryNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, FieldableNode, QueryNode

Direct Known Subclasses:
  RangeQueryNode

    public class ParametricRangeQueryNode

extends QueryNodeImpl
implements FieldableNode

A `ParametricRangeQueryNode` represents LE, LT, GE, GT, EQ, NE query. Example: date >= "2009-10-10" OR price = 200

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`ParametricRangeQueryNode(ParametricQueryNode lowerBound, ParametricQueryNode upperBound)`

Method Summary
`ParametricRangeQueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`java.lang.CharSequence` `getField()` Returns the field associated to the node and every node under it.
`ParametricQueryNode` `getLowerBound()`
`ParametricQueryNode` `getUpperBound()`
`void` `setField(java.lang.CharSequence fieldName)` Associates the node to a field.
`java.lang.CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`java.lang.String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, getChildren, getParent, getTag, getTags, isLeaf, set, setTag, unsetTag`

Constructor Detail

### ParametricRangeQueryNode

    public ParametricRangeQueryNode(ParametricQueryNode lowerBound,
                                    ParametricQueryNode upperBound)

Method Detail

### getUpperBound

    public ParametricQueryNode getUpperBound()

### getLowerBound

    public ParametricQueryNode getLowerBound()

### toQueryString

    public java.lang.CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`

### getField

    public java.lang.CharSequence getField()

  Description copied from interface: `FieldableNode`
  Returns the field associated to the node and every node under it.

  Specified by:
    `getField` in interface `FieldableNode`
  Returns:
    the field name

### toString

    public java.lang.String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `QueryNodeImpl`
  See Also:
    `QueryNode.toString()`

### cloneTree

    public ParametricRangeQueryNode cloneTree()
                                       throws java.lang.CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `QueryNodeImpl`
  Returns:
    the cloned tree
  Throws:
    `java.lang.CloneNotSupportedException`

### setField

    public void setField(java.lang.CharSequence fieldName)

  Description copied from interface: `FieldableNode`
  Associates the node to a field.

  Specified by:
    `setField` in interface `FieldableNode`
  Parameters:
    `fieldName` - the field name

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.